import dynamix_sdk.base as _base


class CloudapiBserviceRestoreResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiBserviceRestoreProtocol(_base.BasePostAPIFunctionProtocol):
    def restore(
        self,
        *,
        bservice_id: int,
    ) -> CloudapiBserviceRestoreResultBool:
        ...
